using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class SpawnerType
	{
		private static Hashtable m_Table = new Hashtable();
		private static Type[] m_Types;

		public static Type GetType( string name )
		{
			Type type = (Type)m_Table[name];

			if ( type == null )
			{
				type = GetScriptType( name );

				m_Table[name] = type;
			}

			return type;
		}

		public static Type GetScriptType( string name )
		{
			if ( m_Types == null )
				m_Types = ScriptCompiler.Assembly.GetTypes();

			for ( int i = 0; i < m_Types.Length; ++i )
			{
				Type t = m_Types[i];

				if ( Utility.InsensitiveCompare( name, t.Name ) == 0 )
					return t;
			}

			return null;
		}
	}
}
