using System;
using Server;

namespace Server.Items
{
	public class WaterTroughSouthAddon : BaseAddon
	{
		[Constructable]
		public WaterTroughSouthAddon()
		{
			AddComponent( new AddonComponent( 0xb43 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 0xb44 ), 1, 0, 0 );
		}

		public WaterTroughSouthAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class WaterTroughSouthDeed : BaseAddonDeed
	{
		public override BaseAddon Addon{ get{ return new WaterTroughSouthAddon(); } }
		public override int LabelNumber{ get{ return 1044350; } } // water trough (south)

		[Constructable]
		public WaterTroughSouthDeed()
		{
		}

		public WaterTroughSouthDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}