using System;

namespace Server.Items
{
	[FlipableAttribute(0xEBC, 0xEBB)]
	public class TallMusicStand : Item, IDyable
	{
		[Constructable]
		public TallMusicStand() : base(0xEBC)
		{
			Weight = 8;
		}

		public TallMusicStand(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xEB8,0xEB6)]
	public class ShortMusicStand : Item, IDyable
	{
		[Constructable]
		public ShortMusicStand() : base(0xEB8)
		{
			Weight = 4;
		}

		public ShortMusicStand(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}
