using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	[FlipableAttribute( 0xF43, 0xF44 )]
	public class Hatchet : BaseAxe
	{
		[Constructable]
		public Hatchet() : base( 2, 17, 40, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash2H, 0xF43, Layer.TwoHanded )
		{
			Weight = 4.0;
			StrRequirement = 15;
		}

		public Hatchet( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}