using System;
using Server.Items;
using Server.Network;
using Server.Engines.Harvest;

namespace Server.Items
{
	[FlipableAttribute( 0xE86, 0xE85 )]
	public class Pickaxe : BaseAxe
	{
		[Constructable]
		public Pickaxe() : base( 1, 15, 35, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash1H, 0xE86, Layer.OneHanded )
		{
			Weight = 11.0;
			StrRequirement = 25;
		}

		public Pickaxe( Serial serial ) : base( serial )
		{
		}

		public override void OnDoubleClick( Mobile from )
		{
			DefMining.HarvestSystem.Begin( from, this );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}