using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x26C3, 0x26CD )]
	public class RepeatingCrossbow : BaseRanged
	{
		public override int EffectID{ get{ return 0x1BFE; } }

		[Constructable]
		public RepeatingCrossbow() : base( 10, 12, 41, 0x234, 0x238, 7, SkillName.Archery, WeaponType.Ranged, WeaponAnimation.ShootXBow, 0x26C3, Layer.TwoHanded )
		{
			Weight = 6.0;
			StrRequirement = 30;
		}

		public RepeatingCrossbow( Serial serial ) : base( serial )
		{
		}

		public override bool OnFired( Mobile attacker, Mobile defender )
		{
			Container pack = attacker.Backpack;

			if ( !attacker.Player || (pack != null && pack.ConsumeTotal( typeof( Bolt ), 1 )) )
				return base.OnFired( attacker, defender );

			return false;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}