using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x26C0, 0x26CA )]
	public class Lance : BaseSword
	{
		[Constructable]
		public Lance() : base( 17, 18, 24, 0x23C, 0x238, 1, SkillName.Fencing, WeaponType.Piercing, WeaponAnimation.Pierce1H, 0x26C0, Layer.OneHanded )
		{
			Weight = 12.0;
			StrRequirement = 95;
		}

		public Lance( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}