using System;
using System.IO;
using Microsoft.Win32;
using Server;

namespace Server.Misc
{
	public class DataPath
	{
		public static void Configure()
		{
			try
			{
				Utility.DataPath = GetExePath( "Ultima Online Third Dawn" );
			}
			catch
			{
				try
				{
					Utility.DataPath = GetExePath( "Ultima Online" );
				}
				catch
				{
					Console.WriteLine( "Enter the Ultima Online directory" );
					Console.Write( " - " );

					Utility.DataPath = Console.ReadLine();

					// For a fixed path with no install, use the following line instead
					// Utility.DataPath = @"C:\Path\To\Ultima Online\";
				}
			}
		}

		private static string GetExePath( string subName )
		{
			using ( RegistryKey key = Registry.LocalMachine.OpenSubKey( String.Format( @"SOFTWARE\Origin Worlds Online\{0}\1.0", subName ) ) )
			{
				if ( key == null )
					throw new Exception();

				string v = key.GetValue( "ExePath" ) as string;

				if ( v == null || v.Length <= 0 )
					throw new Exception();

				if ( !File.Exists( v ) )
					throw new Exception();

				v = Path.GetDirectoryName( v );

				if ( v == null )
					throw new Exception();

				return v;
			}
		}
	}
}