/* Following code is to determine what tamming is required:
- Added other numbers for future version of taming system with increase 
	difficulty with each tamming of an animal that you have not tamed before
		
-There are 2 Hellhounds however, they are both named "Hell Hounds"
	The leader is slightly stronger than his counter-part, so the following code changes his stats.
			
			Hellhound Leader:
			Skill 2nd 91.5
			Skill 3rd 97.5
			Skill 4th 103.5
			
			Normal Hellhound:
			Skill 2nd 77.1
			Skill 3rd 83.1
			Skill 4th 89.1
			
			*/
using System;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a hell hound corpse")]
	public class Hellhound : BaseCreature
	{
		[Constructable]
		public Hellhound() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			this.Body = Utility.RandomList(97,98);
			this.Name = ("a hell hound");			
			this.BaseSoundID = 0xE5;	
			this.Fame = Utility.Random(1250,1249);
			this.Karma = -Utility.Random(1250,1249);

			PackItem( new Gold( 1, 150 ) );
			PackItem( new SulfurousAsh( 5 ) );

			if ( this.Body == 97 ) // Hell Hound "Leader"
			{
				SetStr( 132, 174 );
				SetDex( 81, 105 );
				SetInt( 36, 60 );			
				SetSkill( SkillName.Wrestling, 74.4, 90.3 );
				SetSkill( SkillName.Tactics, 71.8, 85.2 );
				SetSkill( SkillName.MagicResist, 77.8, 89.5 );		
				this.VirtualArmor = Utility.Random(30,6);

				Tamable = true;
				MinTameSkill = 85.5; // Skill 1st
				MaxTameSkill = 109.5; // Skill 5th
			}
			
			else if ( this.Body == 98 ) // Hell Hound
			{
				SetStr( 108, 139 );
				SetDex( 81, 104 );
				SetInt( 36, 58 );			
				SetSkill( SkillName.Wrestling, 64.0, 81.5 );
				SetSkill( SkillName.Tactics, 50.9, 69.8 );
				SetSkill( SkillName.MagicResist, 30.9, 73.5 );			
				this.VirtualArmor = 30;

				Tamable = true;
				MinTameSkill = 71.1; // Skill 1st
				MaxTameSkill = 95.1; // Skill 5th
			}
		}

		public Hellhound(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}