/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 5.1
Skill 3rd 11.1
Skill 4th 17.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a hell cat corpse")]
	public class Preditorhellcat : BaseCreature
	{
		[Constructable]
		public Preditorhellcat() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 127;
			this.Name = ("a hell cat");
			this.VirtualArmor = 30;

			this.InitStats(Utility.Random(161,25),Utility.Random(96,20),Utility.Random(76,25));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(55,14);
			this.Skills[SkillName.Tactics].Base = Utility.Random(51,14);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(76,15);

			this.Fame = Utility.Random(1250,1249);
			this.Karma = Utility.Random(-1250,-1249);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 89.1;// Skill 1st
			MaxTameSkill = 113.1;// Skill 5th
		}

		public override int Hides{ get{ return 10; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public Preditorhellcat(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xBA; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xBB; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xBC; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xBD; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xBE; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}