/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 35.1
Skill 3rd 41.1
Skill 4th 47.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a pig corpse")]
	public class Boar : BaseCreature
	{
		[Constructable]
		public Boar() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0x122;
			this.Name = ("a boar");
			this.VirtualArmor = 10;

			this.InitStats(Utility.Random(0,25),Utility.Random(0,15),Utility.Random(0,10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(0,11);
			this.Skills[SkillName.Tactics].Base = Utility.Random(0,9);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(0,9);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 29.1;// Skill 1st
			MaxTameSkill = 53.1;// Skill 5th;
		}

		public override int Meat{ get{ return 2; } }

		public Boar(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xC4; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xC5; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xC6; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xC7; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xC8; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}