/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 29.1
Skill 3rd 35.1
Skill 4th 41.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a deer corpse")]
	public class Hind : BaseCreature
	{
		[Constructable]
		public Hind() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xED;
			this.Name = ("a hind");
			this.VirtualArmor = 8;

			this.InitStats(Utility.Random(21,30),Utility.Random(48,30),Utility.Random(17,29));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(0,30);
			this.Skills[SkillName.Tactics].Base = Utility.Random(0,19);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(0,15);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 23.1;// Skill 1st
			MaxTameSkill = 47.1;// Skill 5th
		}

		public override int Meat{ get{ return 5; } }
		public override int Hides{ get{ return 8; } }

		public Hind(Serial serial) : base(serial)
		{
		}

		public override int GetAttackSound() 
		{ 
			return 0x82; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x83; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x84; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}