/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 101.1
Skill 3rd 107.1
Skill 4th 113.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	public class Kirin : BaseMount
	{
		public override bool AllowFemaleRider{ get{ return false; } }
		public override bool AllowFemaleTamer{ get{ return false; } }

		[Constructable]
		public Kirin() : this( "a kirin" )
		{
		}

		[Constructable]
		public Kirin( string name ) : base( name, 132, 0x3EAD, AIType.AI_Predator, FightMode.None, 10, 1, 0.2, 0.4 )
		{ 
			InitStats( Utility.Random( 50, 30 ), Utility.Random( 50, 30 ), 10 );
			Skills[SkillName.MagicResist].Base = 25.0 + (Utility.RandomDouble() * 5.0);
			Skills[SkillName.Wrestling].Base = 35.0 + (Utility.RandomDouble() * 10.0);
			Skills[SkillName.Tactics].Base = 30.0 + (Utility.RandomDouble() * 15.0);

			BaseSoundID = 0x3C5;

			ControlSlots = 2;
			Tamable = true;
			MinTameSkill = 95.1;// Skill 1st
			MaxTameSkill = 119.1;// Skill 5th

		}

		public override int Hides{ get{ return 10; } }
		public override HideType HideType{ get{ return HideType.Horned; } }

		public Kirin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}