using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a lava snake corpse")]
	public class Lavasnake : BaseCreature
	{
		[Constructable]
		public Lavasnake() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Hue = Utility.RandomList(0x647,0x650,0x659,0x662,0x66B,0x674);
			this.Body = 52;
			this.Name = ("a lava snake");
			this.VirtualArmor = 24;

			this.InitStats(Utility.Random(46,6),Utility.Random(18,8),(10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(25,10);
			this.Skills[SkillName.Tactics].Base = Utility.Random(17,12);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(16,5);

			this.Fame = Utility.Random(1250,1249);
			this.Karma = Utility.Random(-1250,-1249);
		}

		public override int Meat{ get{ return 1; } }

		public Lavasnake(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xDB; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xDC; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xDD; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xDE; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xDF; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}