/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 65.1
Skill 3rd 71.1
Skill 4th 77.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a snake corpse")]
	public class Snake : BaseCreature
	{
		[Constructable]
		public Snake() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			this.Body = 52;
			this.Name = ("a snake");
			this.VirtualArmor = 16;

			this.Hue = Utility.RandomSnakeHue();

			this.InitStats(Utility.Random(23,9),Utility.Random(16,10),(10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(23,11);
			this.Skills[SkillName.Tactics].Base = Utility.Random(21,11);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(15,6);
			this.Skills[SkillName.Poisoning].Base = Utility.Random(50,21);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 59.1;// Skill 1st
			MaxTameSkill = 83.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }

		public Snake(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xDB; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xDC; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xDD; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xDE; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xDF; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}