using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a blood elemental corpse" )]
	public class BloodElemental : BaseCreature
	{
		[Constructable]
		public BloodElemental () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 159;
			Name = "a blood elemental";
			BaseSoundID = 278;

			SetStr( 527, 615 );
			SetDex( 67, 85 );
			SetInt( 226, 344 );
			SetSkill( SkillName.Wrestling, 82, 99 );
			SetSkill( SkillName.Tactics, 80, 99 );
			SetSkill( SkillName.MagicResist, 80, 94 );
			SetSkill( SkillName.Magery, 87, 87 );
			SetSkill( SkillName.EvalInt, 58, 58 );
			SetSkill( SkillName.Meditation, 22, 22 );

			VirtualArmor = 60;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );

			PackGem();

			PackItem( new Gold( 1100, 1400 ));
			PackItem( RandomScroll.CreateScroll( 3, 7 ) );
			PackItem( RandomScroll.CreateScroll( 3, 7 ) );

			// 80% chance for magic armor and weap
			if ( 0.8 >= Utility.RandomDouble() ) 
			{
				PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 3, 5 ));
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 2, 5 ));
			}
		}

		public override int TreasureMapLevel{ get{ return 5; } }

		public BloodElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}