using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an earth elemental corpse" )]
	public class EarthElemental : BaseCreature
	{
		[Constructable]
		public EarthElemental() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 14;
			Name = "an earth elemental";
			BaseSoundID = 268;

			SetStr( 131, 152 );
			SetDex( 66, 84 );
			SetInt( 73, 92 );
			SetSkill( SkillName.Wrestling, 65, 92 );
			SetSkill( SkillName.Tactics, 65, 91 );
			SetSkill( SkillName.MagicResist, 52, 87 );

			ControlSlots = 2;

			VirtualArmor = 34;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();

			PackItem( new IronOre(3));
			PackItem( new Gold( 200, 350 ));
		}

		public override int TreasureMapLevel{ get{ return 1; } }

		public EarthElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}