using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a balron corpse" )]
	public class Balron : BaseCreature
	{
		[Constructable]
		public Balron () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 40;

			switch ( Utility.Random( 3 ) )
			{
				case 0: Name = "the Lord of the Abyss"; break;
				case 1: Name = "the Collector of Souls"; break;
				case 2: Name = "the Slayer"; break;
			}

			BaseSoundID = 357;

			SetStr( 1005, 1183 );
			SetDex( 187, 238 );
			SetInt( 151, 247 );
			SetSkill( SkillName.Wrestling, 91, 99 );
			SetSkill( SkillName.Tactics, 90, 99 );
			SetSkill( SkillName.MagicResist, 116, 122 );
			SetSkill( SkillName.Magery, 96, 99 );
			SetSkill( SkillName.EvalInt, 80, 93 );
			SetSkill( SkillName.Meditation, 27, 50 );
			SetSkill( SkillName.Anatomy, 25, 35 );

			VirtualArmor = Utility.RandomMinMax( 74, 90 );
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 8 ))
			{
				case 0: PackItem( new SpidersSilk( 3 ) ); break;
				case 1: PackItem( new BlackPearl( 3 ) ); break;
				case 2: PackItem( new Bloodmoss( 3 ) ); break;
				case 3: PackItem( new Garlic( 3 ) ); break;
				case 4: PackItem( new MandrakeRoot( 3 ) ); break;
				case 5: PackItem( new Nightshade( 3 ) ); break;
				case 6: PackItem( new SulfurousAsh( 3 ) ); break;
				case 7: PackItem( new Ginseng( 3 ) ); break;
			}

			AddItem( new Longsword() );
			PackItem( new Gold( 800, 1200 ) );
			PackItem( RandomScroll.CreateScroll( 2, 8 ) );
			PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 2, 5 ));
			PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 3, 5 ));
			PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 5, 5 ));
		}

		public override int TreasureMapLevel{ get{ return 5; } }
		public override int Meat{ get{ return 1; } }

		public Balron( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
