using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a bone magi corpse" )]
	public class BoneMagi : BaseCreature
	{
		[Constructable]
		public BoneMagi() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 148;
			Name = "a bone magi";
			BaseSoundID = 451;

			SetStr( 77, 98 );
			SetDex( 58, 75 );
			SetInt( 186, 209 );
			SetSkill( SkillName.Wrestling, 51, 57 );
			SetSkill( SkillName.Tactics, 45, 60 );
			SetSkill( SkillName.MagicResist, 56, 69 );
			SetSkill( SkillName.Magery, 66, 73 );

			VirtualArmor = 38;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();

			PackItem( new Bone());
			PackItem( new Gold( 50, 200 ));
			PackItem( RandomScroll.CreateScroll( 1, 5 ) );
		}

		public BoneMagi( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}