using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a gazer corpse" )]
	public class Gazer : BaseCreature
	{
		[Constructable]
		public Gazer () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 22;
			Name = "a gazer";
			BaseSoundID = 377;

			SetStr( 97, 122 );
			SetDex( 86, 103 );
			SetInt( 106, 165 );
			SetSkill( SkillName.Wrestling, 55, 72 );
			SetSkill( SkillName.Tactics, 52, 67 );
			SetSkill( SkillName.MagicResist, 60, 75 );
			SetSkill( SkillName.Magery, 57, 68 );

			VirtualArmor = 36;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();
			PackGem();

			PackItem( new Arrow( 10 ));
			PackItem( new Nightshade( 3 ));
			PackItem( new Gold( 850, 1250 ));

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}
		}

		public override int TreasureMapLevel{ get{ return 1; } }
		public override int Meat{ get{ return 1; } }

		public Gazer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}