using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an orcish mages corpse" )]
	public class OrcishMage : BaseCreature
	{
		[Constructable]
		public OrcishMage () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 140;
			Name = "an orcish mage";
			BaseSoundID = 377;

			SetStr( 117, 150 );
			SetDex( 92, 113 );
			SetInt( 168, 182 );
			SetSkill( SkillName.Wrestling, 49, 54 );
			SetSkill( SkillName.Tactics, 50, 64 );
			SetSkill( SkillName.MagicResist, 60, 74 );
			SetSkill( SkillName.Magery, 66, 76 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();
			PackGem();

			switch ( Utility.Random( 8 ))
			{
				case 0: PackItem( new SpidersSilk( 3 ) ); break;
				case 1: PackItem( new BlackPearl( 3 ) ); break;
				case 2: PackItem( new Bloodmoss( 3 ) ); break;
				case 3: PackItem( new Garlic( 3 ) ); break;
				case 4: PackItem( new MandrakeRoot( 3 ) ); break;
				case 5: PackItem( new Nightshade( 3 ) ); break;
				case 6: PackItem( new SulfurousAsh( 3 ) ); break;
				case 7: PackItem( new Ginseng( 3 ) ); break;
			}

			PackItem( new OrcHelm());
			PackItem( new Arrow( 10 ));
			PackItem( new Gold( 50, 150 ));
		}

		public override int TreasureMapLevel{ get{ return 1; } }
		public override int Meat{ get{ return 1; } }

		public OrcishMage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
