using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a ratmans corpse" )]
	public class RatmanMage : BaseCreature
	{
		[Constructable]
		public RatmanMage() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 42;
			Hue = 0x8485;
			Name = "a ratman mage";
			BaseSoundID = 437;

			SetStr( 146, 180 );
			SetDex( 103, 127 );
			SetInt( 187, 209 );
			SetSkill( SkillName.Wrestling, 55, 77 );
			SetSkill( SkillName.Tactics, 50, 75 );
			SetSkill( SkillName.MagicResist, 66, 90 );
			SetSkill( SkillName.Magery, 74, 83 );
			SetSkill( SkillName.EvalInt, 70, 80 );

			VirtualArmor = 44;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackItem( new Gold( 250, 300 ) );
		}

		public override int Hides{ get{ return 8; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public RatmanMage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
