using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a ghostly corpse" )]
	public class Shade : BaseCreature
	{
		[Constructable]
		public Shade() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 26;
			Name = "a shade";
			BaseSoundID = 0x482;
			Hue = 0x4001;

			SetStr( 76, 100 );
			SetDex( 76, 94 );
			SetInt( 37, 59 );
			SetSkill( SkillName.Wrestling, 50, 58 );
			SetSkill( SkillName.Tactics, 45, 59 );
			SetSkill( SkillName.MagicResist, 55, 67 );
			SetSkill( SkillName.Magery, 58, 71 );

			VirtualArmor = 28;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();

			PackItem( new Bone());
			PackItem( new Gold( 50, 150 ));
			PackItem( RandomScroll.CreateScroll( 1, 5 ) );
		}

		public Shade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}