using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an ogre lords corpse" )]
	public class ArticOgreLord : BaseCreature
	{
		[Constructable]
		public ArticOgreLord () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 135;
			Name = "an artic ogre lord";
			BaseSoundID = 427;

			SetStr( 858, 914 );
			SetDex( 67, 75 );
			SetInt( 52, 59 );
			SetSkill( SkillName.Wrestling, 93, 98 );
			SetSkill( SkillName.Tactics, 93, 97 );
			SetSkill( SkillName.MagicResist, 126, 135 );

			VirtualArmor = 50;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );

			PackGem();

			AddItem( new Club());
			PackItem( new Gold( 500, 700 ));
			PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomStaff, 1, 5 ));
		}

		public override int TreasureMapLevel{ get{ return 3; } }

		public ArticOgreLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}