using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a bone knight corpse" )]
	public class BoneKnight : BaseCreature
	{
		[Constructable]
		public BoneKnight() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 57;
			Name = "a bone knight";
			BaseSoundID = 451;

			SetStr( 202, 248 );
			SetDex( 74, 95 );
			SetInt( 39, 60 );
			SetSkill( SkillName.Wrestling, 87, 95 );
			SetSkill( SkillName.Tactics, 88, 99 );
			SetSkill( SkillName.MagicResist, 66, 79 );

			VirtualArmor = 40;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new PlateArms() ); break;
			case 1: PackItem( new PlateChest() ); break;
			case 2: PackItem( new PlateGloves() ); break;
			case 3: PackItem( new PlateGorget() ); break;
			case 4: PackItem( new PlateLegs() ); break;
			case 5: PackItem( new PlateHelm() ); break;
			}


				AddItem( new Scimitar());
				PackItem( new Gold( 1, 150 ));
		}

		public BoneKnight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
