using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a mummy corpse" )]
	public class Mummy : BaseCreature
	{
		[Constructable]
		public Mummy() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 154;
			Name = "a mummy";
			BaseSoundID = 471;

			SetStr( 348, 367 );
			SetDex( 71, 86 );
			SetInt( 28, 40 );
			SetSkill( SkillName.Wrestling, 43, 52 );
			SetSkill( SkillName.Tactics, 35, 48 );
			SetSkill( SkillName.MagicResist, 15, 36 );

			VirtualArmor = 50;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			// Scrolls 4-7

			PackGem();

			switch ( Utility.Random( 6 ))
			{
				case 0: PackItem( new AgilityPotion() ); break;
				case 1: PackItem( new LesserCurePotion() ); break;
				case 2: PackItem( new LesserHealPotion() ); break;
				case 3: PackItem( new LesserPoisonPotion() ); break;
				case 4: PackItem( new RefreshPotion() ); break;
				case 5: PackItem( new StrengthPotion() ); break;
			}

			PackItem( new Garlic( 3 ));	
			PackItem( new Gold( 50, 150 ));
		}

		public Mummy( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}