using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an orcish corpse" )]
	public class OrcishLord : BaseCreature
	{
		[Constructable]
		public OrcishLord() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 138;
			Name = "an orcish lord";
			BaseSoundID = 0x45A;

			SetStr( 177, 206 );
			SetDex( 91, 109 );
			SetInt( 61, 100 );
			SetSkill( SkillName.Wrestling, 72, 85 );
			SetSkill( SkillName.Tactics, 75, 89 );
			SetSkill( SkillName.MagicResist, 71, 80 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();

			PackItem( new ThighBoots() );
			AddItem( new TwoHandedAxe() );
			PackItem( new RingmailChest() );
			PackItem( new OrcHelm() );
			PackItem( new Gold( 550, 900 ) );
		}

		public override int TreasureMapLevel{ get{ return 1; } }
		public override int Meat{ get{ return 1; } }

		public OrcishLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}