using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a troll corpse" )]
	public class Troll : BaseCreature
	{
		[Constructable]
		public Troll () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = Utility.RandomList( 53, 54 );
			Name = "a troll";
			BaseSoundID = 461;

			SetStr( 177, 204 );
			SetDex( 50, 64 );
			SetInt( 47, 63 );
			SetSkill( SkillName.Wrestling, 60, 71 );
			SetSkill( SkillName.Tactics, 50, 68 );
			SetSkill( SkillName.MagicResist, 45, 53 );

			VirtualArmor = 40;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			switch ( Utility.Random( 6 ))
			{
				case 0: PackItem( new AgilityPotion() ); break;
				case 1: PackItem( new LesserCurePotion() ); break;
				case 2: PackItem( new LesserHealPotion() ); break;
				case 3: PackItem( new LesserPoisonPotion() ); break;
				case 4: PackItem( new RefreshPotion() ); break;
				case 5: PackItem( new StrengthPotion() ); break;
			}

			PackItem( new Arrow( 10 ));
			PackItem( new Gold( 50, 200 ));

			BaseWeapon weapon = new Club();

			weapon.Movable = false;

			AddItem( weapon );
		}

		public override int TreasureMapLevel{ get{ return 1; } }
		public override int Meat{ get{ return 2; } }

		public Troll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}