using System; 
using Server.Mobiles; 

namespace Server.Mobiles 
{ 
   [CorpseName("a vorpal bunny corpse")] 
   public class VorpalBunny : BaseCreature 
   { 
      [Constructable] 
      public VorpalBunny() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 
         this.Body = 205; 
         this.Name = ("a vorpal bunny"); 

          SetStr( 15 ); 
          SetDex( 2000 ); 
            SetInt( 1000 ); 
         SetSkill( SkillName.Wrestling, 14 ); 
         SetSkill( SkillName.Tactics, 5 ); 
         SetSkill( SkillName.MagicResist, 200 ); 

         VirtualArmor = 4; 
         SetFameLevel( 3 ); 
         SetKarmaLevel( 3 ); 

      } 
    [CommandProperty( AccessLevel.GameMaster )] 
    public override int HitsMax { get { return 2000; } } 
      public VorpalBunny(Serial serial) : base(serial) 
      { 
      } 

      public override int GetAttackSound() 
      { 
         return 0xC9; 
      } 

      public override int GetHurtSound() 
      { 
         return 0xCA; 
      } 

      public override int GetDeathSound() 
      { 
         return 0xCB; 
      } 

      public override void Serialize(GenericWriter writer) 
      { 
         base.Serialize(writer); 

         writer.Write((int) 0); 
      } 

      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize(reader); 

         int version = reader.ReadInt(); 
      } 
   } 
} 
