using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a wisp corpse" )]
	public class ShadowWisp : BaseCreature
	{
		[Constructable]
		public ShadowWisp() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 165;
			Name = "a shadow wisp";
			BaseSoundID = 466;

			SetStr( 16, 40 );
			SetDex( 11696, 45 );
			SetInt( 11, 35 );
			SetSkill( SkillName.Wrestling, 27, 42 );
			SetSkill( SkillName.Tactics, 0, 15 );
			SetSkill( SkillName.MagicResist, 10, 10 );
			SetSkill( SkillName.Magery, 50, 52 );

			VirtualArmor = 18;

			PackItem( new Bone() );

			switch ( Utility.Random( 6 ) )
			{
				case 0: PackItem( new Head() ); break;
				case 1: PackItem( new Torso() ); break;
				case 2: PackItem( new LeftArm() ); break;
				case 3: PackItem( new LeftLeg() ); break;
				case 4: PackItem( new RightArm() ); break;
				case 5: PackItem( new RightLeg() ); break;
			}
		}

		public ShadowWisp( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
