using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a frost ooze corpse" )]
	public class FrostOoze : BaseCreature
	{
		[Constructable]
		public FrostOoze() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 51;
			Name = "a frost ooze";
			BaseSoundID = 456;
			this.Hue = 0x480;

			SetStr( 19, 28 );
			SetDex( 16, 21 );
			SetInt( 16, 20 );
			SetSkill( SkillName.Wrestling, 30, 38 );
			SetSkill( SkillName.Tactics, 19, 27 );
			SetSkill( SkillName.MagicResist, 5, 9 );

			VirtualArmor = 38;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();
		}

		public FrostOoze( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}