using System;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a plant corpse" )]
	public class Bogling : BaseCreature
	{
		[Constructable]
		public Bogling() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 779;
			Name = "a bogling";
			BaseSoundID = 432;

			SetStr( 96, 120 );
			SetDex( 82, 104 );
			SetInt( 36, 57 );
			SetSkill( SkillName.Wrestling, 56, 71 );
			SetSkill( SkillName.Tactics, 57, 77 );
			SetSkill( SkillName.MagicResist, 54, 71 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );

			PackItem( new Gold( 1, 50 ) );
		}

		public Bogling( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}