using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a deep sea serpents corpse" )]
	public class DeepSeaSerpent : BaseCreature
	{
		[Constructable]
		public DeepSeaSerpent() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 150;
			Name = "a deep sea serpent";
			BaseSoundID = 447;

			SetStr( 259, 385 );
			SetDex( 100, 125 );
			SetInt( 110, 149 );
			SetSkill( SkillName.Wrestling, 64, 69 );
			SetSkill( SkillName.Tactics, 60, 66 );
			SetSkill( SkillName.MagicResist, 61, 73 );
			SetSkill( SkillName.Magery, 15, 15 );

			VirtualArmor = 60;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

				PackItem( new SpecialFishingNet());

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}

		}

		public override int Meat{ get{ return 1; } }

		public DeepSeaSerpent( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
