using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a shadow wyrm corpse" )]
	public class ShadowWyrm : BaseCreature
	{
		[Constructable]
		public ShadowWyrm () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 105;
			Name = "a shadow wyrm";
			BaseSoundID = 362;
			this.Hue = 0x5555;

			ControlSlots = 3;

			SetStr( 952, 958 );
			SetDex( 138, 139 );
			SetInt( 543, 572 );
			SetSkill( SkillName.Wrestling, 97, 98 );
			SetSkill( SkillName.Tactics, 97, 98 );
			SetSkill( SkillName.MagicResist, 108, 111 );
			SetSkill( SkillName.Magery, 94, 98 );
			SetSkill( SkillName.EvalInt, 74, 79 );
			SetSkill( SkillName.Meditation, 61, 62 );

			VirtualArmor = 70;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );

			PackGem();
			PackGem();

			PackItem( new Gold( 1800, 2400 ));

			// 70% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.7 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}
		}

		public override int TreasureMapLevel{ get{ return 5; } }

		public override int Meat{ get{ return 19; } }
		public override int Hides{ get{ return 20; } }
		public override HideType HideType{ get{ return HideType.Barbed; } }

		public ShadowWyrm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}