using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a krakens corpse" )]
	public class Kraken : BaseCreature
	{
		[Constructable]
		public Kraken() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 77;
			Name = "a kraken";
			BaseSoundID = 353;

			SetStr( 776, 772 );
			SetDex( 244, 244 );
			SetInt( 1, 1 );
			SetSkill( SkillName.Wrestling, 54, 56 );
			SetSkill( SkillName.Tactics, 49, 55 );
			SetSkill( SkillName.MagicResist, 15, 18 );

			VirtualArmor = 50;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

			PackItem( new Gold( 300, 600 ) ); 

			// 2 in 8 chance of getting magic weapon =)
			switch ( Utility.Random( 8 ))
			{
				case 0: PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 )); break;
				case 1: PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 )); break;
				case 2: PackItem( new Katana() ); break;
				case 3: PackItem( new Kryss() ); break;
				case 4: PackItem( new Halberd() ); break;
				case 5: PackItem( new BlackStaff() ); break;
				case 6: PackItem( new Spellbook() ); break;
				case 7: PackItem( new DoubleAxe() ); break;
			}
		}

		public override int TreasureMapLevel{ get{ return 4; } }

		public Kraken( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
