using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an ophidian knight-errant corpse" )]
	public class OphidianKnight : BaseCreature
	{
		[Constructable]
		public OphidianKnight() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 86;
			Name = "an ophidian knight-errant";
			BaseSoundID = 634;

			SetStr( 443, 577 );
			SetDex( 169, 175 );
			SetInt( 48, 70 );
			SetSkill( SkillName.Wrestling, 93, 99 );
			SetSkill( SkillName.Tactics, 90, 99 );
			SetSkill( SkillName.MagicResist, 65, 80 );

			VirtualArmor = 40;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );

			PackGem();

			switch ( Utility.Random( 6 ))
			{
				case 0: PackItem( new AgilityPotion() ); break;
				case 1: PackItem( new LesserCurePotion() ); break;
				case 2: PackItem( new LesserHealPotion() ); break;
				case 3: PackItem( new LesserPoisonPotion() ); break;
				case 4: PackItem( new RefreshPotion() ); break;
				case 5: PackItem( new StrengthPotion() ); break;
			}

			PackItem( new Arrow( 10 ));
			PackItem( new Gold( 200, 300 ));

			// 2 in 8 chance of getting magic weapon =)
			switch ( Utility.Random( 8 ))
			{
				case 0: PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 )); break;
				case 1: PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 )); break;
				case 2: PackItem( new Katana() ); break;
				case 3: PackItem( new Kryss() ); break;
				case 4: PackItem( new Halberd() ); break;
				case 5: PackItem( new BlackStaff() ); break;
				case 6: PackItem( new Spellbook() ); break;
				case 7: PackItem( new DoubleAxe() ); break;
			}
		}

		public override int TreasureMapLevel{ get{ return 3; } }

		public OphidianKnight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}