using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a stone harpy corpse" )]
	public class StoneHarpy : BaseCreature
	{
		[Constructable]
		public StoneHarpy() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 73;
			Name = "a stone harpy";
			BaseSoundID = 402;

			SetStr( 297, 317 );
			SetDex( 89, 109 );
			SetInt( 51, 66 );
			SetSkill( SkillName.Wrestling, 74, 98 );
			SetSkill( SkillName.Tactics, 71, 93 );
			SetSkill( SkillName.MagicResist, 52, 64 );

			VirtualArmor = 50;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackGem();

			PackItem( new Gold( 400, 500 ));
		}

		public StoneHarpy( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}